<?php

namespace App\Enums;

enum AdsPositionEnum: string
{
    case HEADER = 'header';

    case CUSTOM_SECTION = 'custom_section';

    case QUESTION_PAGE_TOP_BANNER = 'question_page_top';

    case QUESTION_PAGE_CENTER_BANNER = 'question_page_center';

    case QUESTION_PAGE_BOTTOM_BANNER = 'question_page_bottom';

    public function label(): string
    {
        return match ($this) {
            self::HEADER => 'Header',
            self::CUSTOM_SECTION => 'Custom Section',
            self::QUESTION_PAGE_TOP_BANNER => 'Question Page Top',
            self::QUESTION_PAGE_CENTER_BANNER => 'Question Page Center',
            self::QUESTION_PAGE_BOTTOM_BANNER => 'Question Page Bottom'
        };
    }

    public static function values(): array
    {
        return array_column(self::cases(), 'value');
    }
}
